org.wildfly.swarm.config.mail.mail_session

## Class POP3Server<T extends POP3Server<T>>

- java.lang.Object
- - org.wildfly.swarm.config.mail.mail_session.POP3Server<T>

-     public class POP3Server<T extends POP3Server<T>>
      extends Object

  Mail session server

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `POP3Server()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Map` | `credentialReference()` Credential (from Credential Store) to authenticate on server
    `T` | `credentialReference(Map value)` Credential (from Credential Store) to authenticate on server
    `T` | `credentialReference(String key, Object value)` Credential (from Credential Store) to authenticate on server
    `String` | `getKey()`
    `String` | `outboundSocketBindingRef()` Outbound Socket binding to mail server
    `T` | `outboundSocketBindingRef(String value)` Outbound Socket binding to mail server
    `String` | `password()` Password to authenticate on server
    `T` | `password(String value)` Password to authenticate on server
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `ssl()` Does server require SSL?
    `T` | `ssl(Boolean value)` Does server require SSL?
    `Boolean` | `tls()` Does server require TLS?
    `T` | `tls(Boolean value)` Does server require TLS?
    `String` | `username()` Username to authenticate on server
    `T` | `username(String value)` Username to authenticate on server

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### POP3Server

          public POP3Server()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### credentialReference

          public Map credentialReference()

      Credential (from Credential Store) to authenticate on server

    - #### credentialReference

          public T credentialReference(Map value)

      Credential (from Credential Store) to authenticate on server

    - #### credentialReference

          public T credentialReference(String key,
                                       Object value)

      Credential (from Credential Store) to authenticate on server

    - #### outboundSocketBindingRef

          public String outboundSocketBindingRef()

      Outbound Socket binding to mail server

    - #### outboundSocketBindingRef

          public T outboundSocketBindingRef(String value)

      Outbound Socket binding to mail server

    - #### password

          public String password()

      Password to authenticate on server

    - #### password

          public T password(String value)

      Password to authenticate on server

    - #### ssl

          public Boolean ssl()

      Does server require SSL?

    - #### ssl

          public T ssl(Boolean value)

      Does server require SSL?

    - #### tls

          public Boolean tls()

      Does server require TLS?

    - #### tls

          public T tls(Boolean value)

      Does server require TLS?

    - #### username

          public String username()

      Username to authenticate on server

    - #### username

          public T username(String value)

      Username to authenticate on server

Copyright © 2018 JBoss by Red Hat. All rights reserved.